
<ol class="docTree">
{foreach $docTree as $q}
    <li class="docTree">
        <a href="/docs/redaction/{$q.doc_id}">{$q.doc_title}</a>
        {* ?????? ??????? ??????????? *}
        {if $q.childs}
            {*<ol class="docTree"> *}  
            {foreach $q.childs as $ch1}
                <li class="docTreeL1">
                    <a href="/docs/redaction/{$ch1.doc_id}">&ensp;&ensp;&ensp;{$ch1.doc_title}</a>
                    {* ?????? ??????? ??????????? *}
                    {if $ch1.childs}
                        {*<ol class="docTree">*}  
                        {foreach $ch1.childs as $ch2}
                            <li class="docTree">
                                <a href="/docs/redaction/{$ch2.doc_id}">{$ch2.doc_title}</a>
                                {* ?????? ??????? ??????????? *}
                                {if $ch2.childs}
                                    {*<ol class="docTree">*}   
                                    {foreach $ch2.childs as $ch3}
                                        <li class="docTree">
                                            <a href="/docs/redaction/{$ch3.doc_id}">{$ch3.doc_title}</a>
                                            
                                        </li>
                                    {/foreach}
                                    {*</ol>*}
                                {/if}
                                {* /?????? ??????? ??????????? *}
                            </li>
                        {/foreach}
                        {*</ol>*}
                    {/if}
                    {* /?????? ??????? ??????????? *}
                </li>
            {/foreach}
            {*</ol>*}
        {/if}
        {* /?????? ??????? ??????????? *}
    </li>             
{/foreach}
</ol>


